package com.yijia.station.mapper;

import java.util.List;
import com.yijia.station.domain.StationOilPrice;

/**
 * 油品价格Mapper接口
 *
 * @author yijia
 * @date 2020-12-08
 */
public interface StationOilPriceMapper
{
    /**
     * 查询油品价格
     *
     * @param oilPriceId 油品价格ID
     * @return 油品价格
     */
    public StationOilPrice selectStationOilPriceById(Long oilPriceId);

    /**
     * 查询油品价格列表
     *
     * @param stationOilPrice 油品价格
     * @return 油品价格集合
     */
    public List<StationOilPrice> selectStationOilPriceList(StationOilPrice stationOilPrice);

    /**
     * 新增油品价格
     *
     * @param stationOilPrice 油品价格
     * @return 结果
     */
    public int insertStationOilPrice(StationOilPrice stationOilPrice);

    /**
     * 修改油品价格
     *
     * @param stationOilPrice 油品价格
     * @return 结果
     */
    public int updateStationOilPrice(StationOilPrice stationOilPrice);

    /**
     * 删除油品价格
     *
     * @param oilPriceId 油品价格ID
     * @return 结果
     */
    public int deleteStationOilPriceById(Long oilPriceId);

    /**
     * 批量删除油品价格
     *
     * @param oilPriceIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteStationOilPriceByIds(Long[] oilPriceIds);
    /**
     * 查询当前油站对应的油品名称(不包括非油品)
     */

    public List<StationOilPrice> oilNameInfo(StationOilPrice stationOilPrice);

    /**
     * 查询站中的油品价格和油品类型
     */
    public List<StationOilPrice> selectOilPriceList(StationOilPrice stationOilPrice);
}
